# Namespace: portscanner

## .net.portscanner

Provides port scanning functions for the zombie. A mod of pdp's scanner

Version: '0.1', author: 'Petko Petkov', homepage: 'http://www.gnucitizen.org'

Source:
  - net/portscanner.js, line 7

### Methods

#### (static) scanPort(callback, target, port, timeout)

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` |  |
`target` |  |
`port` |  |
`timeout` |  |

Source:
  - net/portscanner.js, line 25

#### (static) scanTarget(callback, target, ports_str, timeout)

##### Parameters:

Name | Type | Description
--- | --- | ---
`callback` |  |
`target` |  |
`ports_str` |  |
`timeout` |  |

Source:
  - net/portscanner.js, line 54